﻿using System;
using System.Net;
using System.Windows.Controls;

namespace ControlTest17
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            WebClient webclient = new WebClient();

            webclient.OpenReadAsync(new Uri("Silverlight.wmv", UriKind.RelativeOrAbsolute));
            webclient.DownloadProgressChanged += new 
                DownloadProgressChangedEventHandler(webclient_DownloadProgressChanged);
            webclient.OpenReadCompleted += 
                new OpenReadCompletedEventHandler(webclient_OpenReadCompleted);
        }

        void webclient_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                try
                {
                    mediaElement.SetSource(e.Result);

                    mediaElement.Play();
                }
                catch (Exception ex)
                {

                }
            }
        }

        void webclient_DownloadProgressChanged(object sender, 
            DownloadProgressChangedEventArgs e)
        {
            pgsLoad.Value = e.ProgressPercentage;
            tbResult.Text = e.ProgressPercentage.ToString() + "% Completed";
        }
    }
}
